List transfers
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/transfers \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"hasMore": true,
"items": [
{
"bytesDownloaded": 123,
"bytesUploaded": 123,
"createdAt": "2023-11-07T05:31:56Z",
"credentialId": "<string>",
"currentState": "<string>",
"currentStateCode": 123,
"direction": "<string>",
"documentType": "<string>",
"downloadAttempts": 123,
"expired": true,
"fileName": "<string>",
"fileSizeBytes": 123,
"hashMismatchAttempts": 123,
"id": "<string>",
"secondsRemaining": 123,
"transmissionAttempts": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"uploadAttempts": 123,
"errorCode": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"fileRef": "<string>",
"lastTransitError": "<string>",
"protocolGeneratedAt": "2023-11-07T05:31:56Z",
"protocolNumber": "<string>",
"sourceProduct": "<string>",
"urgentRequestedAt": "2023-11-07T05:31:56Z"
}
],
"pageSize": 123,
"nextCursor": "<string>"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List transfers
Lists transfers for the authenticated tenant with cursor-based pagination. Optional filters: state, direction, sourceProduct.
GET
/
v1
/
transfers
List transfers
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/transfers \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"hasMore": true,
"items": [
{
"bytesDownloaded": 123,
"bytesUploaded": 123,
"createdAt": "2023-11-07T05:31:56Z",
"credentialId": "<string>",
"currentState": "<string>",
"currentStateCode": 123,
"direction": "<string>",
"documentType": "<string>",
"downloadAttempts": 123,
"expired": true,
"fileName": "<string>",
"fileSizeBytes": 123,
"hashMismatchAttempts": 123,
"id": "<string>",
"secondsRemaining": 123,
"transmissionAttempts": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"uploadAttempts": 123,
"errorCode": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"fileRef": "<string>",
"lastTransitError": "<string>",
"protocolGeneratedAt": "2023-11-07T05:31:56Z",
"protocolNumber": "<string>",
"sourceProduct": "<string>",
"urgentRequestedAt": "2023-11-07T05:31:56Z"
}
],
"pageSize": 123,
"nextCursor": "<string>"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
Filter by state name
Example:
"AwaitingUpload"
Filter by direction: outbound | inbound
Example:
"outbound"
Filter by source product
Example:
"pix"
Opaque continuation cursor from a prior page
Requested page size; clamped to 1..100 by the query service (default 20)
Example:
20
Was this page helpful?

